LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Server (http://www.linuxquestions.org/questions/linux-server-73/)
-   -   Cluster Fencing??? (http://www.linuxquestions.org/questions/linux-server-73/cluster-fencing-653540/)

your_shadow03 07-04-2008 06:47 AM

Cluster Fencing???
 
Hi Guys,

I have been setting up Cluster by installing cluster RPM Packages through red hat official Website.I am getting few dependency issues like:
While installing:
Code:

[root@BL01DL385 cluster]# rpm -ivh lvm2-cluster-2.01.09-5.0.RHEL4.x86_64.rpm
error: Failed dependencies:
        libgulm.so.1()(64bit) is needed by lvm2-cluster-2.01.09-5.0.RHEL4.x86_64
[root@BL01DL385 cluster]#

I downloaded nearly all packages from redhat website like:
Code:

lvm2-cluster-2.01.09-5.0.RHEL4.x86_64.rpm
lvm2-cluster-2.01.14-1.0.RHEL4.x86_64.rpm
lvm2-cluster-2.02.01-1.2.RHEL4.x86_64.rpm
lvm2-cluster-2.02.06-1.0.RHEL4.x86_64.rpm
lvm2-cluster-2.02.21-7.el4.x86_64.rpm
lvm2-cluster-2.02.27-2.el4_6.2.x86_64.rpm

for my: uname -arn
Code:

[root@BL01DL385 cluster]# uname -ran
Linux BL01DL385 2.6.9-22.ELsmp #1 SMP Mon Sep 19 18:00:54 EDT 2005 x86_64 x86_64 x86_64 GNU/Linux

But again it shows dependency issue:

I have now installed it with --nodeps and it is running fine.but I doubt it may show error further in some point of time.
is it really needed?
I am able to run # system-config-cluster and selected DLM rather tham gulm..guessing that was having the issue.

Will my cluster work?? with no issue?

your_shadow03 07-04-2008 06:54 AM

Also, One more query on my mind. Now
#system-config-cluster is showing GUI for Adding and Configuring the Nodes, services and resources.
I have doubt on Fencing??

My RHEL 4.0 AS System is running on HP Server with ILO Configured. can I opt for ILO for Fencing?
What Information should I provide for the same?
As for now,
I have provided:
Code:

Type: HP ILO Device
Name : APC
Hostname: 10.14.237.108
Login:<username>
Password:<password>

Will that be correct way of configuration?

your_shadow03 07-07-2008 12:57 AM

I got a list of RPM to be installed as follows for CLustering Setup:
Code:

RPM List:
perl-Crypt-SSLeay-0.51-5.x86_64.rpm
magma-1.0.5-0.x86_64.rpm
ccs-1.0.10-0.x86_64.rpm
perl-Net-Telnet-3.03-3.noarch.rpm
seamonkey-nss-1.0.8-0.2.el4.x86_64.rpm
fence-1.32.45-1.0.2.x86_64.rpm
gulm-1.0.10-0.x86_64.rpm
iddev-2.0.0-4.x86_64.rpm
magma-plugins-1.0.8-0.x86_64.rpm
system-config-cluster-1.0.27-1.0.noarch.rpm
rgmanager-1.9.68-1.x86_64.rpm
cman-kernel-smp-2.6.9-50.2.x86_64.rpm
cman-1.0.17-0.x86_64.rpm
dlm-kernel-smp-2.6.9-46.16.x86_64.rpm
dlm-1.0.1-1.x86_64.rpm
GFS-kernel-smp-2.6.9-72.2.x86_64.rpm
GFS-6.1.14-0.x86_64.rpm
lvm2-cluster-2.02.21-7.el4.x86_64.rpm
cmirror-kernel-smp-2.6.9-32.0.x86_64.rpm
cmirror-1.0.1-1.x86_64.rpm

---------------------------------------------

I tried installing the packages but some dependency issue still prevailing:
Code:


ccs-1.0.10-0.x86_64.rpm  Ok'
ccs-devel-1.0.10-0.x86_64.rpm Ok
cluster-cim-0.9.1-8.x86_64.rpm  Failed. Dependency on -  tog-pegasus-2.4.1-4.4.rhel4.x86_64.rpm
Source - http://linuxsoft.cern.ch/cern/slc4X/x86_64/yum/updates/tog-pegasus-2.4.1-4.4.rhel4.x86_64.rpm
Again it was showing oddjob package dependency
I tried another packages:
---------
[root@BL02DL385 clusterrpms]# rpm -ivh cluster-snmp-0.9.1-8.x86_64.rpm
warning: cluster-snmp-0.9.1-8.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        net-snmp is needed by cluster-snmp-0.9.1-8.x86_64
        oddjob is needed by cluster-snmp-0.9.1-8.x86_64
    Suggested resolutions:
        net-snmp-5.1.2-11.EL4.6.x86_64.rpm
---------------

Source for netsnmp: ftp://ftp.rediris.es/vol3/scientificlinux.org/scientific/4x/archives/obsolete/x86_64/net-snmp-5.1.2-11.EL4.6.x86_64.rpm
---------------------
[root@BL02DL385 clusterrpms]# rpm -ivh system-config-cluster-1.0.45-1.0.noarch.rpm
warning: system-config-cluster-1.0.45-1.0.noarch.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
        package system-config-cluster-1.0.45-1.0 is already installed
-------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh ricci-0.9.1-8.x86_64.rpm
warning: ricci-0.9.1-8.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        oddjob is needed by ricci-0.9.1-8.x86_64
---------------------
[root@BL02DL385 clusterrpms]# rpm -ivh rgmanager-1.9.68-1.x86_64.rpm
warning: rgmanager-1.9.68-1.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
  1:rgmanager              ########################################### [100%]
--------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh piranha-0.8.3-1.x86_64.rpm
Preparing...                ########################################### [100%]
  1:piranha                ########################################### [100%]
--------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh perl-Net-Telnet-3.03-3.noarch.rpm
warning: perl-Net-Telnet-3.03-3.noarch.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
        package perl-Net-Telnet-3.03-3 is already installed
------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh modcluster-0.9.1-8.x86_64.rpm
warning: modcluster-0.9.1-8.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        oddjob is needed by modcluster-0.9.1-8.x86_64
------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh magma-plugins-1.0.12-0.x86_64.rpm
warning: magma-plugins-1.0.12-0.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
  1:magma-plugins          ########################################### [100%]
[root@BL02DL385 clusterrpms]#
-------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh magma-devel-1.0.7-1.x86_64.rpm
warning: magma-devel-1.0.7-1.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
        package magma-devel-1.0.7-1 is already installed
------------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh luci-0.9.1-8.x86_64.rpm
warning: luci-0.9.1-8.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
        package luci-0.9.1-8 is already installed
-------------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh ipvsadm-1.24-6.x86_64.rpm
warning: ipvsadm-1.24-6.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
        package ipvsadm-1.24-6 is already installed
---------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh iddev-devel-2.0.0-4.x86_64.rpm
warning: iddev-devel-2.0.0-4.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
        package iddev-devel-2.0.0-4 is already installed
------------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh iddev-2.0.0-4.x86_64.rpm
warning: iddev-2.0.0-4.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
        package iddev-2.0.0-4 is already installed
-------------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh gulm-devel-1.0.10-0.x86_64.rpm
warning: gulm-devel-1.0.10-0.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
        package gulm-devel-1.0.10-0 is already installed
----------------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh gulm-1.0.10-0.x86_64.rpm
warning: gulm-1.0.10-0.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
        package gulm-1.0.10-0 is already installed
-----------------------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh fence-1.32.45-1.x86_64.rpm
warning: fence-1.32.45-1.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        libnss3.so()(64bit) is needed by fence-1.32.45-1.x86_64
        libnss3.so(NSS_3.2)(64bit) is needed by fence-1.32.45-1.x86_64
        libnss3.so(NSS_3.4)(64bit) is needed by fence-1.32.45-1.x86_64
    Suggested resolutions:
        mozilla-nss-1.7.12-1.4.1.x86_64.rpm
-----Source :http://linux.web.psi.ch/dist/scientific/41/update/20050928/
------------------------------------
[root@BL02DL385 ~]# rpm -ivh mozilla-nss-1.7.12-1.4.1.x86_64.rpm
warning: mozilla-nss-1.7.12-1.4.1.x86_64.rpm: V3 DSA signature: NOKEY, key ID a7048f8d
Preparing...                ########################################### [100%]
  1:mozilla-nss            ########################################### [100%]
[root@BL02DL385 ~]# cd clusterrpms/
---------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh fence-1.32.45-1.x86_64.rpm
warning: fence-1.32.45-1.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
  1:fence                  ########################################### [100%]
[root@BL02DL385 clusterrpms]#
--------------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh dlm-kernel-smp-2.6.9-46.16.x86_64.rpm
warning: dlm-kernel-smp-2.6.9-46.16.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        /lib/modules/2.6.9-55.ELsmp is needed by dlm-kernel-smp-2.6.9-46.16.x86_64
        cman-kernel-smp >= 2.6.9 is needed by dlm-kernel-smp-2.6.9-46.16.x86_64
        kernel-smp = 2.6.9-55.EL is needed by dlm-kernel-smp-2.6.9-46.16.x86_64
------------------------------------------------
----------------------
[root@BL02DL385 clusterrpms]# rpm -ivh dlm-kernheaders-2.6.9-46.16.x86_64.rpm
warning: dlm-kernheaders-2.6.9-46.16.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
        package dlm-kernheaders-2.6.9-46.16 is already installed
------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh dlm-kernel-largesmp-2.6.9-46.16.x86_64.rpm
warning: dlm-kernel-largesmp-2.6.9-46.16.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        /lib/modules/2.6.9-55.ELlargesmp is needed by dlm-kernel-largesmp-2.6.9-46.16.x86_64
        cman-kernel-largesmp >= 2.6.9 is needed by dlm-kernel-largesmp-2.6.9-46.16.x86_64
        kernel-largesmp = 2.6.9-55.EL is needed by dlm-kernel-largesmp-2.6.9-46.16.x86_64
-----------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh dlm-devel-1.0.3-1.x86_64.rpm
w
-arning: dlm-devel-1.0.3-1.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        dlm = 1.0.3-1 is needed by dlm-devel-1.0.3-1.x86_64
-----------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh dlm-1.0.3-1.x86_64.rpm
warning: dlm-1.0.3-1.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        cman is needed by dlm-1.0.3-1.x86_64
 -      dlm-kernel-modules >= 2.6.9 is needed by dlm-1.0.3-1.x86_64
------------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh cman-kernheaders-2.6.9-50.2.x86_64.rpm
warning: cman-kernheaders-2.6.9-50.2.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
        package cman-kernheaders-2.6.9-50.2 is already installed
----------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh cman-kernel-smp-2.6.9-50.2.x86_64.rpm
warning: cman-kernel-smp-2.6.9-50.2.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        /lib/modules/2.6.9-55.ELsmp is needed by cman-kernel-smp-2.6.9-50.2.x86_64
        kernel-smp = 2.6.9-55.EL is needed by cman-kernel-smp-2.6.9-50.2.x86_64
---------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh cman-1.0.17-0.x86_64.rpm
warning: cman-1.0.17-0.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        cman-kernel-modules >= 2.6.9 is needed by cman-1.0.17-0.x86_64
------------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh cman-devel-1.0.17-0.x86_64.rpm
warning: cman-devel-1.0.17-0.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        cman = 1.0.17-0 is needed by cman-devel-1.0.17-0.x86_64
-------------------------------
[root@BL02DL385 clusterrpms]# rpm -ivh cman-kernel-2.6.9-50.2.x86_64.rpm
warning: cman-kernel-2.6.9-50.2.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        /lib/modules/2.6.9-55.EL is needed by cman-kernel-2.6.9-50.2.x86_64
------------------------------------

Can anyone help me if those packages are really in need for Simple Two Node Cluster Setup

pthmpson 10-10-2008 12:48 PM

I'm running RHEL4.7 and I just tried installing lvm2-cluster with --nodeps. It worked but got an error when I tried to start the clvmd service. Any idea how to get around this?

Where do I get the libgulm package from? I've got a subscription to RHN with RHCS and GFS added in as available channels but no joy there.

Phil


All times are GMT -5. The time now is 11:24 AM.